# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import platform

def update_package():

    wget('http://srvtemplates.ad.tranquil.it/binary_cache/Python39-windows_amd64.zip','Python39-windows_amd64.zip',sha256='ed6ddb9f53326b7a2ac3f3f1b32d3392ce2fdc28ca44946c74fbfdff9db03abd')
    unzip('Python39-windows_amd64.zip',makepath(programfiles32,'python39-tis'))

    python_interpreter = makepath(programfiles32,'python39-tis','python.exe')
    filecopyto('python39._pth',makepath(programfiles32,'python39-tis'))
    run('"%s" pip.pyz install pip --no-warn-script-location ' % python_interpreter)
    run('"%s" -m pip install wheel setuptools flit_core' % python_interpreter)

    copytree2('Include',makepath(programfiles32,'python39-tis','Include'))
    filecopyto('python39.lib',makepath(programfiles32,'python39-tis'))

    # we compile winshell appart otherwise it fails
    wget("https://github.com/tjguk/winshell/archive/refs/tags/0.6.4.zip","winshell-0.6.4.zip")
    unzip("winshell-0.6.4.zip","winshell-0.6.4")
    outputfiledata=''
    with open('winshell-0.6.4/winshell-0.6.4/setup.py','r') as winshellsetuppy:
        for line in winshellsetuppy.readlines():
            if line.startswith('from distutils.core import setup'):
                line="""from distutils.core import setup\r\nsys.path.append('.')\r\n"""
            outputfiledata = outputfiledata + line
    with open('winshell-0.6.4/winshell-0.6.4/setup.py','w') as winshellsetuppy:
        winshellsetuppy.write(outputfiledata)
    run('"%s" -m pip wheel .' % python_interpreter,cwd=makepath(basedir,'winshell-0.6.4','winshell-0.6.4'))
    filecopyto(makepath(basedir,'winshell-0.6.4','winshell-0.6.4','winshell-0.6.4-py3-none-any.whl'), '.')
    remove_tree('winshell-0.6.4')
    remove_file("winshell-0.6.4.zip")

    run('"%s" -m pip wheel --no-binary :all: --no-cache-dir netifaces==0.11.0' % python_interpreter)

    # For the moment we don't recompile locally
    #run('"%s" -m pip wheel  --no-binary :all: -r requirements-agent.txt' % python_interpreter)
    run('"%s" -m pip wheel --no-cache-dir -r requirements-agent.txt' % python_interpreter)
    run('"%s" -m pip wheel --no-cache-dir -r requirements-server.txt' % python_interpreter)
    run('"%s" -m pip wheel --no-cache-dir -r requirements-buildlib.txt' % python_interpreter)
##
##
##    control.set_software_version(version)
##    control.save_control_to_wapt()
